#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB1,0x84,0x3B,0xB8,0x5A,0xD0,0xC1,0x98,0x68,0x2F,0x03,0x79,
		0x0B,0x40,0x7B,0xB6,0x80,0xC1,0xD0,0xCF,0x59,0x1B,0xCB,0x8E,
		0xF8,0xD0,0x84,0x3B,0x62,0x92,0x28,0x1F,0x89,0xAF,0x3D,0xD5,
		0x72,0x81,0x5B,0xF1,0x3D,0xB0,0xF8,0x0E,0xB8,0x1F,0xDF,0x3C,
		0x51,0x06,0xAE,0x4F,0x21,0xA0,0x89,0xB5,0x08,0xE6,0x88,0x55,
		0x91,0x42,0xC4,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
